#
# spec file for package nodejs-github-url-from-username-repo
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define base_name github-url-from-username-repo

Name:           nodejs-github-url-from-username-repo
Version:        1.0.2
Release:        10.1
Summary:        Create urls from username/repo
License:        BSD-2-Clause
Group:          Development/Languages/Other
Url:            https://github.com/robertkowalski/github-url-from-username-repo
Source:         http://registry.npmjs.org/%{base_name}/-/%{base_name}-%{version}.tgz
BuildRequires:  nodejs-packaging
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
%{?nodejs}

%nodejs_find_provides_and_requires

%description
Provides node.js function to return URLs normalized for npm.

%prep
%setup -q -n package

%build

%install
mkdir -p %{buildroot}%{nodejs_modulesdir}/%{base_name}
cp -pr package.json index.js \
        %{buildroot}%{nodejs_modulesdir}/%{base_name}/

%files
%defattr(-,root,root,-)
%doc README.md LICENSE
%{nodejs_modulesdir}/%{base_name}

%changelog
* Sat Apr  4 2015 dmueller@suse.com
- enable building for all arches
* Thu Oct  9 2014 jgleissner@suse.com
- use nodejs-packaging for building
* Sun Sep 21 2014 i@marguerite.su
- update version 1.0.2
* Mon Aug 18 2014 jgleissner@suse.com
- Initial build
